mailnews/moz.configure
author Kai Engert <kaie@kuix.de>
Wed, 22 Apr 2020 19:04:05 +0200
changeset 38025 f0676c4790a181e102e26c54b13a526d33e0e63c
parent 37332 d450c0bd78b3f041d7a38cae45e5d902e31d5b28
child 38261 ced94145e95c92495ccab66e4d5ac45517bcf009
permissions -rw-r--r--
Bug 1628424 - Build/Include the OpenPGP code by default in comm-central. r=kaie,r=rjl

# -*- Mode: python; c-basic-offset: 4; indent-tabs-mode: nil; tab-width: 40 -*-
# vim: set filetype=python:
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# =========================================================
# = LDAP
# =========================================================
option('--disable-ldap',
       help='Disable LDAP support')


@depends_if('--enable-ldap')
def ldap(arg):
    return True


set_config('MOZ_LDAP_XPCOM', ldap)
set_define('MOZ_LDAP_XPCOM', ldap)

# =========================================================
# = MAPI support (Windows only)
# =========================================================

option('--disable-mapi',
       help='Disable MAPI support',
       when=target_is_windows)


@depends_if('--enable-mapi',
            when=target_is_windows)
def mapi_support(arg):
    return True


set_config('MOZ_MAPI_SUPPORT', mapi_support)
set_define('MOZ_MAPI_SUPPORT', mapi_support)

# =========================================================
# = Experimental OpenPGP integration
# =========================================================

option('--enable-openpgp', default=True,
       help='Enable building of the Experimental OpenPGP integration')


@depends_if('--enable-openpgp')
def openpgp(arg):
    return True


set_config('MOZ_OPENPGP', openpgp)
set_define('MOZ_OPENPGP', openpgp)

include('../third_party/openpgp.configure', when='--enable-openpgp')

set_config('MOZ_MOVEMAIL', target_is_unix)
set_define('HAVE_MOVEMAIL', target_is_unix)


option('--enable-calendar', default=False,
       help='Deprecated. Please remove it from your mozconfig.')


@depends_if('--enable-calendar')
def calendar_deprecated(arg):
    return True